Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.xlink
Enum OdfShowType

    java.lang.Object
      java.lang.Enum<OdfShowType>
          org.odftoolkit.odfdom.dom.type.xlink.OdfShowType

All Implemented Interfaces:
  Serializable, Comparable<OdfShowType>

    public enum OdfShowType

extends Enum<OdfShowType>

DOM implementation of OpenDocument attribute xlink:show.

Enum Constant Summary
`NEW`
`REPLACE`

Method Summary
`static OdfShowType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfShowType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfShowType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfShowType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final OdfShowType NEW

### REPLACE

    public static final OdfShowType REPLACE

Method Detail

### values

    public static OdfShowType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfShowType c : OdfShowType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfShowType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfShowType>`
  Returns:
    return the name of OdfShowType

### toString

    public static String toString(OdfShowType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfShowType, see xlink:show
  Returns:
    return the name of OdfShowType

### enumValueOf

    public static OdfShowType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfShowType
  Returns:
    return the constant of OdfShowType, see xlink:show

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.